Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service
Class JdbcCatalogServiceImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.JdbcCatalogServiceImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Direct Known Subclasses:
  JdbcCatalogQueryManagerImpl, JdbcCategoryManagerImpl, JdbcProductItemManagerImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public class JdbcCatalogServiceImpl

extends CatalogServiceImpl

This is the base service implementation for all JDBC-based Catalog services. It contains common functionality that all JDBC-based Catalog services must implement; therefore, all JDBC-based Catalog service implementations should extend this class.
The `JdbcCatalogService` depends upon several environment variables to dictate its runtime behavior:

- This service uses a JDBC connection pool that is specified by the `jdbc/commercePool` environment property.
- This service utilizes a schema file that contains object relational mapping information. The name of this file is specified by the `SchemaFile` environment variable.
- This services utilizes a SQL manager class that is specified by the `SqlManagerClass` environment variable.

See Also
  `JdbcCatalogService`, `JdbcCatalogServiceHome`, `CatalogSqlManager`, Serialized Form

Field Summary
`protected static String` | `DATA_SOURCE_NAME` Deprecated See BEA Commerce product offering
`protected static String` | `SCHEMA_FILE_NAME` Deprecated See BEA Commerce product offering
`protected static String` | `SQL_MANAGER_CLASS` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`JdbcCatalogServiceImpl()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`void` | `ejbCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`protected String` | `getCatalogSchemaName()` Deprecated See BEA Commerce product offering
`protected CatalogSqlManager` | `getCatalogSqlManager()` Deprecated See BEA Commerce product offering
`protected static CatalogSqlManager` | `getCatalogSqlManager(String catalogManagerClassName, String schemaName)` Deprecated See BEA Commerce product offering
`protected String` | `getCatalogSqlManagerName()` Deprecated See BEA Commerce product offering
`protected Connection` | `getDatabaseConnection()` Deprecated See BEA Commerce product offering
`protected JdbcCatalogFactory` | `getJdbcCatalogFactory()` Deprecated See BEA Commerce product offering
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_SOURCE_NAME

    protected static final String DATA_SOURCE_NAME

  Deprecated See BEA Commerce product offering
  The environment property that specifies JDBC pool that all JDBC services will access.

  See Also
    Constants Summary

### SCHEMA_FILE_NAME

    protected static final String SCHEMA_FILE_NAME

  Deprecated See BEA Commerce product offering
  The environment property that specifies the schema file that all JDBC services will utilize.

  See Also
    Constants Summary

### SQL_MANAGER_CLASS

    protected static final String SQL_MANAGER_CLASS

  Deprecated See BEA Commerce product offering
  The environment property that specifies the SQL manager class that all JDBC service will utilize.

  See Also
    Constants Summary

Constructor Detail

### JdbcCatalogServiceImpl

    public JdbcCatalogServiceImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### getDatabaseConnection

    protected Connection getDatabaseConnection()
                                        throws CatalogDeploymentException

  Deprecated See BEA Commerce product offering

  Gets a database connection from the Commerce Server connection pool.

  Returns
    A database connection from the CommerceServer connection pool.
  Throws
    `CatalogDeploymentException` - if the connection pool is misconfigured.

### getJdbcCatalogFactory

    protected JdbcCatalogFactory getJdbcCatalogFactory()
                                                throws SystemException

  Deprecated See BEA Commerce product offering

  Returns a JDBC-based Catalog factory.

  Returns
    A JDBC-based Catalog factory.
  Throws
    `SystemException`

### getCatalogSqlManagerName

    protected String getCatalogSqlManagerName()
                                       throws SystemException

  Deprecated See BEA Commerce product offering

  Returns the class name of the SQL manager associated with this service.

  Returns
    The SQL manager class name.
  Throws
    `SystemException`

### getCatalogSchemaName

    protected String getCatalogSchemaName()
                                   throws SystemException

  Deprecated See BEA Commerce product offering

  Returns the name of the Catalog schema file.

  Returns
    The Catalog schema filename.
  Throws
    `SystemException`

### getCatalogSqlManager

    protected CatalogSqlManager getCatalogSqlManager()
                                              throws SystemException

  Deprecated See BEA Commerce product offering

  Returns an instance of the Catalog SQL manager assoicated with this service.

  Returns
    An instance of the Catalog SQL manager.
  Throws
    `SystemException`

### getCatalogSqlManager

    protected static CatalogSqlManager getCatalogSqlManager(String catalogManagerClassName,
                                                            String schemaName)
                                                     throws SystemException

  Deprecated See BEA Commerce product offering

  Returns a specified `CatalogSqlManager` implementation class instance.

  Parameters
    `catalogManagerClassName` - The name of the `CatalogSqlManager` implementation class.
  Throws
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved